/**
 * Projeto:    Ticketstac
 * Classe:     IteratorCompradorArray
 *
 */

package comprador;

import comprador.Comprador;
import comprador.IteratorComprador;

/**
 * Title:        Projeto de LP3
 * Description:  Controle de Compradores
 * Copyright:    Copyright (c) 2002
 * Company:
 * @author       Cristiane Gomes
 * @version      2.0
 */

/**
 * Classe IteratorCompradoresArray
 *
 */
public class IteratorCompradorArray implements IteratorComprador{

    public Comprador[] IteratorCompradorArray;
    public int ponteiroAtual;
    public int ponteiroProcura;
    public boolean existe;
    public Comprador retorno;

    /**
     * Construtor da Classe IteratorCompradorArray
     * Construtor vazio
     *
     */
     public IteratorCompradorArray() {
         IteratorCompradorArray = new Comprador[100];
         ponteiroAtual = 0;
         ponteiroProcura = 0;
     }//construtor

    /**
     * Metodo add
     *
     * @param c      objeto Comprador
     *
     */
     public void add(Comprador c){
         IteratorCompradorArray[ponteiroAtual] = c;
         ponteiroAtual++;
     }//metodo add

    /**
     * Metodo next
     *
     * @return     objeto da classe Comprador
     *
     */
     public Comprador next(){
         ponteiroProcura++;
         return IteratorCompradorArray[ponteiroProcura - 1];
     }//Metodo next

    /**
     * Metodo hasNext
     *
     * @return existe      booleano
     *
     */
     public boolean hasNext(){
         existe = true;
         if (ponteiroAtual == ponteiroProcura){
             existe = false;
         }//if
         return existe;
     }//Metodo hasNext

}//Classe IteratorCompradorArray
