package fachada;



import ticket.Ticket;
import ticket.RepositorioTicketsLista;
import ticket.CadastroTickets;
import ticket.IteratorTicket;
import ticket.IteratorTicketLista;
import ticket.RepositorioTickets;
import show.Show;
import show.RepositorioShowsLista;
import show.CadastroShows;
import show.IteratorShow;
import show.IteratorShowLista;
import show.RepositorioShows;
import artista.IteratorArtista;
import artista.IteratorArtistaArray;
import artista.RepositorioArtistas;
import artista.Artista;
import artista.RepositorioArtistasArray;
import artista.CadastroArtista;
import comprador.Comprador;
import comprador.CompradorEstudante;
import comprador.CompradorNormal;
import comprador.RepositorioCompradoresArray;
import comprador.CadastroComprador;
import comprador.IteratorComprador;
import comprador.IteratorCompradorArray;
import comprador.RepositorioCompradores;
import venda.Venda;
import venda.RepositorioVendasArray;
import venda.CadastroVendas;
import venda.IteratorVenda;
import venda.IteratorVendaArray;
import venda.RepositorioVendas;
import gui.*;

/**
 * Title:        Projeto de  LP3
 * Description:  Controle de Shows
 * Copyright:    Copyright (c) 2002
 * Company:
 * @author
 * @version 1.0
 */

public class Teste {



     public static void main(String[] args){
        try {
          javax.swing.UIManager.setLookAndFeel(javax.swing.UIManager.getSystemLookAndFeelClassName());
        } catch(Exception e) {}
        Fachada fachada = new Fachada();
        TelaPrincipal telaPrincipal =  new TelaPrincipal ( fachada ) ;
        telaPrincipal.setSize(405,320);
        telaPrincipal.setLocation(200,200);
        telaPrincipal.setResizable(false);
        telaPrincipal.setVisible(true);
        String data1 ="28/07/2002";
        String hora1 = "21:30";

        String data2 ="28/06/2002";
        String hora2 ="22:00";

        String data3 = "28/06/2003";
        String hora3 = "19:00";

        Artista artista1 = new Artista( " Z man ","Alma Sebosa", "1500,00", "08136660000" );
        Artista artista2 = new Artista( " Telemachus ","Alma Sebosa", "1500,00", "08136660000" );
        Artista artista3 = new Artista( " Azoado ","Alma Sebosa Visio", "1000,00", "08136663000" );
        Artista artista4 = new Artista( " Anildo ","Antigona", "5002,00", "08136660002" );


        Comprador comprador1 =  new CompradorNormal("Maria","11","234.4545");
        Comprador comprador2 =  new CompradorEstudante("Pedro","1","234.4545");
        Comprador comprador3 =  new CompradorEstudante("Paulo","3","234.3331");
        Comprador comprador4 =  new CompradorEstudante("Saulo","45","234.0333");
        Comprador comprador5 =  new CompradorEstudante("Tiago","00","234.3330");
        Comprador comprador6 =  new CompradorEstudante("Ana","14","234.3334");
        Comprador comprador7 =  new CompradorEstudante("Rosa","35","234.3313");
        Comprador comprador8 =  new CompradorNormal("Rosicleide","305","334.3333");
        Comprador comprador9 =  new CompradorEstudante("Rosa","350","134.3333");

         Show show1 = new Show( "Show Legal",artista1 ,data1, hora1,"Classic Hall",100,50,0 );
         Show show2 = new Show( "Bacantes",artista3 ,data2, hora2,"Teatro Guararapes",0,0,500 );
         Show show3 = new Show( "O Dia em que a Terra parou",artista4 ,data3, hora3,"Armazm 13",10,5,20 );
         Show show4 = new Show( "O Bloomsday",artista2 ,data2, hora1,"Irish Drink Street",5,3,10 );


         Ticket ticket1 = new Ticket("Entrada Cadeira",1, 25 , show1);
         Ticket ticket2 = new Ticket("Entrada Mesa",2, 90 , show1);

         Ticket ticket3 = new Ticket("Bacante em Pe",3, 25 , show2);

         Ticket ticket4 = new Ticket("Entrada Cadeira",1, 50 , show3);
         Ticket ticket5 = new Ticket("Entrada Mesa",2, 15 , show3);
         Ticket ticket6 = new Ticket("Entrada Pe",3, 10 , show3);
         Ticket ticket7 = new Ticket("Entrada Meia Entrada Pe",3, 5 , show3);

         Ticket ticket8 = new Ticket("Entrada Meia Entrada Pe",1, 50 , show4);
         Ticket ticket9 = new Ticket("Entrada Meia Entrada Pe",2, 150 , show4);
         Ticket ticket10 = new Ticket("Entrada Mesa",3, 27 , show4);

         Venda venda1 = new Venda(ticket1,10,comprador1);
         Venda venda2 = new Venda(ticket2,14,comprador2);
         Venda venda3 = new Venda(ticket3,10,comprador4);

         Venda venda4 = new  Venda(ticket4,2,comprador5);
         Venda venda5 = new  Venda(ticket5,4,comprador6);
         Venda venda6 = new Venda(ticket6,10,comprador7);
         Venda venda7 = new Venda(ticket7,14,comprador8);
         Venda venda8 = new Venda(ticket8,10,comprador9);


         Venda venda10 = new  Venda(ticket10,2,comprador3);


        fachada.cadastrarArtista(artista1);
        fachada.cadastrarArtista(artista2);
        fachada.cadastrarArtista(artista3);
        fachada.cadastrarArtista(artista4);


        fachada.cadastrarShow(show1);
        fachada.cadastrarShow(show2);
        fachada.cadastrarShow(show3);
        fachada.cadastrarShow(show4);



        fachada.cadastrarTicket( ticket1 );
        fachada.cadastrarTicket( ticket2 );
        fachada.cadastrarTicket( ticket3 );
        fachada.cadastrarTicket( ticket4 );
        fachada.cadastrarTicket( ticket5 );
        fachada.cadastrarTicket( ticket6 );
        fachada.cadastrarTicket( ticket7 );
        fachada.cadastrarTicket( ticket8 );
        fachada.cadastrarTicket( ticket9 );
        fachada.cadastrarTicket( ticket10 );


    fachada.cadastrarComprador(comprador1);
    fachada.cadastrarComprador(comprador2);
    fachada.cadastrarComprador(comprador3);
    fachada.cadastrarComprador(comprador4);
    fachada.cadastrarComprador(comprador5);
    fachada.cadastrarComprador(comprador6);
    fachada.cadastrarComprador(comprador7);
    fachada.cadastrarComprador(comprador8);
    fachada.cadastrarComprador(comprador9);







    fachada.cadastrarVenda(venda1);
    fachada.cadastrarVenda(venda2);
    fachada.cadastrarVenda(venda3);
    fachada.cadastrarVenda(venda4);
    fachada.cadastrarVenda(venda5);
    fachada.cadastrarVenda(venda6);
    fachada.cadastrarVenda(venda7);
    fachada.cadastrarVenda(venda8);

    fachada.cadastrarVenda(venda10);







    }
}//teste
