package gui;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.border.*;
import fachada.*;
import ticket.*;
import show.*;
import artista.*;
import comprador.*;
import venda.*;
import java.util.GregorianCalendar;


public class TelaArtistas extends JFrame {

  Artista artistaImprime;/////
  IteratorArtista artistaIte;//////
  Artista artistaEncontrado = new Artista();
  JPanel artistasPanel = new JPanel();
  Border border1;
  TitledBorder titledBorder1;
  JTextField tfNomeArtista = new JTextField();
  JTextField tfEmpresarioArtista = new JTextField();
  JTextField tfCacheArtista = new JTextField();
  JTextField tfFoneArtista = new JTextField();
  JLabel lNomeArtista = new JLabel();
  JLabel lEmpresarioArtista = new JLabel();
  JLabel lCacheArtista = new JLabel();
  JLabel lFoneArtista = new JLabel();
  JButton inserir = new JButton();
  JButton remover = new JButton();
  JButton procurar = new JButton();
  JButton listar = new JButton();

  JButton limpar = new JButton();
  JLabel jLabel1 = new JLabel();
  Fachada fachada;
  JScrollPane jScrollPane1 = new JScrollPane();
  JTextArea jAreaResposta = new JTextArea();

  public TelaArtistas( Fachada f) {
    this.fachada = f;
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  private void jbInit() throws Exception {
    border1 = new EtchedBorder(EtchedBorder.RAISED,Color.white,new Color(148, 145, 140));
    titledBorder1 = new TitledBorder(border1,"Artistas");
    this.getContentPane().setLayout(null);
    artistasPanel.setBackground(SystemColor.activeCaption);
    artistasPanel.setForeground(Color.white);
    artistasPanel.setBorder(titledBorder1);
    artistasPanel.setBounds(new Rectangle(5, 7, 388, 287));
    artistasPanel.setLayout(null);
    tfNomeArtista.setBounds(new Rectangle(113, 25, 266, 29));
    tfEmpresarioArtista.setBounds(new Rectangle(113, 59, 266, 29));
    tfCacheArtista.setBounds(new Rectangle(113, 91, 120, 29));
    tfFoneArtista.setBounds(new Rectangle(113, 124, 120, 29));
    lNomeArtista.setFont(new java.awt.Font("Dialog", 1, 12));
    lNomeArtista.setForeground(Color.white);
    lNomeArtista.setHorizontalAlignment(SwingConstants.CENTER);
    lNomeArtista.setHorizontalTextPosition(SwingConstants.CENTER);
    lNomeArtista.setText("Nome");
    lNomeArtista.setBounds(new Rectangle(13, 25, 90, 31));
    lEmpresarioArtista.setBounds(new Rectangle(16, 58, 90, 31));
    lEmpresarioArtista.setText("Empresario");
    lEmpresarioArtista.setHorizontalTextPosition(SwingConstants.CENTER);
    lEmpresarioArtista.setHorizontalAlignment(SwingConstants.CENTER);
    lEmpresarioArtista.setFont(new java.awt.Font("Dialog", 1, 12));
    lEmpresarioArtista.setForeground(Color.white);
    lCacheArtista.setBounds(new Rectangle(15, 91, 90, 31));
    lCacheArtista.setText("Cach");
    lCacheArtista.setHorizontalTextPosition(SwingConstants.CENTER);
    lCacheArtista.setHorizontalAlignment(SwingConstants.CENTER);
    lCacheArtista.setFont(new java.awt.Font("Dialog", 1, 12));
    lCacheArtista.setForeground(Color.white);
    lFoneArtista.setBounds(new Rectangle(17, 124, 90, 31));
    lFoneArtista.setText("Telefone");
    lFoneArtista.setHorizontalTextPosition(SwingConstants.CENTER);
    lFoneArtista.setHorizontalAlignment(SwingConstants.CENTER);
    lFoneArtista.setFont(new java.awt.Font("Dialog", 1, 12));
    lFoneArtista.setForeground(Color.white);
    inserir.setText("inserir");
    inserir.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        inserir_actionPerformed(e);
      }
    });
    inserir.setBounds(new Rectangle(11, 163, 89, 32));
    inserir.setFont(new java.awt.Font("Dialog", 1, 12));
    remover.setFont(new java.awt.Font("Dialog", 1, 12));
    remover.setBounds(new Rectangle(11, 199, 89, 32));
    remover.setText("remover");
    remover.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        remover_actionPerformed(e);
      }
    });
    procurar.setFont(new java.awt.Font("Dialog", 1, 12));
    procurar.setBounds(new Rectangle(104, 163, 89, 32));
    procurar.setText("procurar");
    procurar.addActionListener(new ActionListener(this));
    procurar.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        procurar_actionPerformed(e);
      }
    });
    listar.setText("listar");
    listar.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        listar_actionPerformed(e);
      }
    });
    listar.setBounds(new Rectangle(104, 199, 89, 32));
    listar.setFont(new java.awt.Font("Dialog", 1, 12));
    limpar.setFont(new java.awt.Font("Dialog", 1, 12));
    limpar.setForeground(Color.white);
    limpar.setBackground(Color.red);
    limpar.setBounds(new Rectangle(265, 105, 89, 32));
    limpar.setText("limpar");
    limpar.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        limpar_actionPerformed(e);
      }
    });
    jLabel1.setFont(new java.awt.Font("DialogInput", 3, 12));
    jLabel1.setForeground(Color.white);
    jLabel1.setHorizontalAlignment(SwingConstants.CENTER);
    jLabel1.setHorizontalTextPosition(SwingConstants.CENTER);
    jLabel1.setText("TicketStack");
    jLabel1.setBounds(new Rectangle(38, 244, 114, 26));
    this.setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
    this.setTitle("Ticketstac- Artista");
    jScrollPane1.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_NEVER);
    jScrollPane1.setBounds(new Rectangle(196, 156, 187, 125));
    jAreaResposta.setFont(new java.awt.Font("Monospaced", 0, 12));
    this.getContentPane().add(artistasPanel, null);
    artistasPanel.add(tfNomeArtista, null);
    artistasPanel.add(tfEmpresarioArtista, null);
    artistasPanel.add(tfCacheArtista, null);
    artistasPanel.add(tfFoneArtista, null);
    artistasPanel.add(lNomeArtista, null);
    artistasPanel.add(lEmpresarioArtista, null);
    artistasPanel.add(lCacheArtista, null);
    artistasPanel.add(lFoneArtista, null);
    artistasPanel.add(limpar, null);
    artistasPanel.add(inserir, null);
    artistasPanel.add(procurar, null);
    artistasPanel.add(listar, null);
    artistasPanel.add(remover, null);
    artistasPanel.add(jScrollPane1, null);
    artistasPanel.add(jLabel1, null);
    jScrollPane1.getViewport().add(jAreaResposta, null);
  }

    void limpar() {
    tfNomeArtista.setText("");
    tfEmpresarioArtista.setText("");
    tfCacheArtista.setText("");
    tfFoneArtista.setText("");
    jAreaResposta.setText("");
    }

  void limpar_actionPerformed(ActionEvent e) {
    limpar();
  }

  void inserir_actionPerformed(ActionEvent e) {
    String nome = tfNomeArtista.getText();
    String empresario = tfEmpresarioArtista.getText();
    String cache = tfCacheArtista.getText();
    String telefone = tfFoneArtista.getText();
    Artista artista = new Artista(nome, empresario, cache, telefone);

    try {
      fachada.cadastrarArtista( artista );
      limpar();
    }
    catch (Exception ex) {

    }



    }

  void remover_actionPerformed(ActionEvent e) {
    String nome = tfNomeArtista.getText().toUpperCase().trim();

    try {
      if ( nome.length()>0) fachada.desCadastrarArtista( nome );
      limpar();
    }
    catch (ArtistaNaoEncontradoException ex) {
  JOptionPane.showMessageDialog(this,ex.getMessage());
    }
  }

  void procurar_actionPerformed(ActionEvent e) {
    String nome = tfNomeArtista.getText().toUpperCase().trim();
  try {
    if (nome.length()>0){
    artistaEncontrado = fachada.procurarArtista( nome );
    jAreaResposta.setText("");
    tfNomeArtista.setText(artistaEncontrado.getNomeArtista().trim());
    tfEmpresarioArtista.setText(artistaEncontrado.getNomeEmpresario());
    tfCacheArtista.setText(artistaEncontrado.getArtistaCache());
    tfFoneArtista.setText(artistaEncontrado.getArtistaFone());
    }
  }
  catch ( ArtistaNaoEncontradoException ex) {
  JOptionPane.showMessageDialog(this,ex.getMessage());
  }
  }

  void listar_actionPerformed(ActionEvent e) {
        limpar();
        artistaIte =  fachada.listarArtista().getIterator();


        while(artistaIte.hasNext()){
            artistaImprime = artistaIte.next();
            if(artistaImprime != null){
            jAreaResposta.append(" " + artistaImprime.getNomeArtista().trim()
            + "\n" );}

            }//while




  }
}// fim

class ActionListener implements java.awt.event.ActionListener {
  TelaArtistas adaptee;

  ActionListener(TelaArtistas adaptee) {
    this.adaptee = adaptee;
  }
  public void actionPerformed(ActionEvent e) {
    adaptee.procurar_actionPerformed(e);
  }
}