package show;

import java.util.GregorianCalendar;
import artista.Artista;
import artista.CadastroArtista;
import artista.IteratorArtista;
import artista.IteratorArtistaArray;
import artista.RepositorioArtistas;
import artista.RepositorioArtistasArray;


/**
 * Title:        Projeto de LP3
 * Description:  Interface para Repositorio de Cadastro de Show
 * Copyright:    Copyright (c) 2002
 * Company:
 * @author
 * @version 1.0
 */


public interface RepositorioShows  {

    public boolean isEmpty ();

    public void inserir( Show show );

    public void remover( Show show )
             throws ListaVaziaException;
    public void alterar( Show show );


    public boolean existe( Show show );

    public Show[] procurar( Show show )
            throws showNaoEncontradoException;

    public IteratorShow getIterator();

}
