package gui;

import javax.swing.*;
import java.awt.*;
import javax.swing.border.*;
import fachada.*;
import comprador.*;
import java.awt.event.*;
import java.lang.*;

/**
 * <p>Title: Projeto de  LP3</p>
 * <p>Description: Controle de Shows</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author unascribed
 * @version 1.0
 */

public class TelaCompradores extends JFrame {
  JButton listar = new JButton();
  JTextField tfFoneComprador = new JTextField();
  JLabel lIdComprador = new JLabel();
  JRadioButton jrbEstudante = new JRadioButton();
  JTextField tfIdComprador = new JTextField();
  JButton procurar = new JButton();
  JLabel lFoneComprador = new JLabel();
  JPanel CompradoresPanel = new JPanel();
  JButton remover = new JButton();
  JButton inserir = new JButton();
  JRadioButton jrbNormal = new JRadioButton();
  JButton limpar = new JButton();
  JLabel lTicketstac = new JLabel();
  JTextField tfNomeComprador = new JTextField();
  Border border1;
  TitledBorder titledBorder1;
  JLabel lNomeComprador = new JLabel();
  Fachada fachada;
  IteratorComprador compradorIte;
  Comprador compradorImprime;
  ButtonGroup tipoCompradores = new ButtonGroup();
  CompradorEstudante compradorE = new CompradorEstudante();
  CompradorNormal compradorN = new CompradorNormal();
  JScrollPane spResultados = new JScrollPane();
  JTextArea taResultados = new JTextArea();
  JPanel jPanel1 = new JPanel();
  Border border2;
  TitledBorder titledBorder2;

  public TelaCompradores(Fachada f) {
    this.fachada = f;
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  private void jbInit() {
    border2 = BorderFactory.createEtchedBorder(Color.white,new Color(148, 145, 140));
    titledBorder2 = new TitledBorder(border2,"Tipo");
    lNomeComprador.setFont(new java.awt.Font("Dialog", 1, 12));
    lNomeComprador.setForeground(Color.white);
    lNomeComprador.setText("Nome");
    lNomeComprador.setBounds(new Rectangle(19, 36, 41, 17));
    limpar.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        limpar_actionPerformed(e);
      }
    });
    inserir.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        inserir_actionPerformed(e);
      }
    });
    procurar.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        procurar_actionPerformed(e);
      }
    });
    spResultados.setBounds(new Rectangle(208, 171, 232, 119));
    listar.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        listar_actionPerformed(e);
      }
    });
    remover.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        remover_actionPerformed(e);
      }
    });
    this.setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
    this.setTitle("Clientes");
    this.addMouseListener(new java.awt.event.MouseAdapter() {
    });
    taResultados.addMouseListener(new java.awt.event.MouseAdapter() {
    });
    taResultados.setNextFocusableComponent(this);
    taResultados.setFocusAccelerator('T');
    taResultados.setLineWrap(true);
    CompradoresPanel.setBackground(SystemColor.activeCaption);
    CompradoresPanel.setNextFocusableComponent(tfNomeComprador);
    CompradoresPanel.setToolTipText("");
    CompradoresPanel.addMouseListener(new java.awt.event.MouseAdapter() {
      public void mouseClicked(MouseEvent e) {
        CompradoresPanel_mouseClicked(e);
      }
    });
    jPanel1.setBackground(SystemColor.activeCaption);
    jPanel1.setBorder(titledBorder2);
    jPanel1.setBounds(new Rectangle(266, 69, 172, 87));
    jPanel1.setLayout(null);
    jrbEstudante.setBackground(SystemColor.activeCaptionText);
    jrbEstudante.setHorizontalAlignment(SwingConstants.CENTER);
    jrbNormal.setBackground(SystemColor.activeCaptionText);
    jrbNormal.setHorizontalAlignment(SwingConstants.CENTER);
    lFoneComprador.setForeground(Color.white);
    lIdComprador.setForeground(Color.white);
    CompradoresPanel.add(tfFoneComprador, null);
    CompradoresPanel.add(tfIdComprador, null);
    CompradoresPanel.add(tfNomeComprador, null);
    CompradoresPanel.add(lNomeComprador, null);
    CompradoresPanel.add(lFoneComprador, null);
    CompradoresPanel.add(lIdComprador, null);
    CompradoresPanel.add(spResultados, null);
    CompradoresPanel.add(procurar, null);
    CompradoresPanel.add(inserir, null);
    CompradoresPanel.add(remover, null);
    CompradoresPanel.add(listar, null);
    CompradoresPanel.add(limpar, null);
    CompradoresPanel.add(jPanel1, null);
    jPanel1.add(jrbEstudante, null);
    jPanel1.add(jrbNormal, null);
    CompradoresPanel.add(lTicketstac, null);
    spResultados.getViewport().add(taResultados, null);
    border1 = BorderFactory.createEtchedBorder(Color.white,new Color(148, 145, 140));
    titledBorder1 = new TitledBorder(BorderFactory.createEtchedBorder(Color.white,new Color(148, 145, 140)),"Clientes");
    this.getContentPane().setLayout(null);
    listar.setFont(new java.awt.Font("Dialog", 1, 12));
    listar.setBounds(new Rectangle(13, 213, 88, 32));
    listar.setText("Listar");
   // tfFoneComprador.addActionListener(new TelaCompradores_tfFoneComprador_actionAdapter(this));
    tfFoneComprador.setBounds(new Rectangle(106, 78, 140, 28));
    lIdComprador.setFont(new java.awt.Font("Dialog", 1, 12));
    lIdComprador.setHorizontalAlignment(SwingConstants.CENTER);
    lIdComprador.setHorizontalTextPosition(SwingConstants.CENTER);
    lIdComprador.setText("Identidade");
    lIdComprador.setBounds(new Rectangle(2, 122, 90, 31));
    jrbEstudante.setBounds(new Rectangle(31, 18, 103, 25));
    jrbEstudante.setText("Estudante");
    jrbEstudante.setSelected(true);
    jrbEstudante.setFont(new java.awt.Font("Dialog", 1, 12));
    tfIdComprador.setBounds(new Rectangle(104, 124, 140, 28));
    procurar.setText("Procurar");
    procurar.setBounds(new Rectangle(110, 172, 89, 32));
    procurar.setFont(new java.awt.Font("Dialog", 1, 12));
    lFoneComprador.setBounds(new Rectangle(17, 85, 66, 17));
    lFoneComprador.setText("Telefone");
    lFoneComprador.setFont(new java.awt.Font("Dialog", 1, 12));
    CompradoresPanel.setLayout(null);
    CompradoresPanel.setBorder(titledBorder1);
    CompradoresPanel.setBounds(new Rectangle(5, 1, 451, 328));
    remover.setFont(new java.awt.Font("Dialog", 1, 12));
    remover.setBounds(new Rectangle(110, 213, 89, 32));
    remover.setText("Remover");
    inserir.setText("Inserir");
    inserir.setBounds(new Rectangle(13, 172, 89, 32));
    inserir.setFont(new java.awt.Font("Dialog", 1, 12));
    jrbNormal.setFont(new java.awt.Font("Dialog", 1, 12));
    jrbNormal.setText("    Normal");
    jrbNormal.setBounds(new Rectangle(31, 52, 103, 25));
    limpar.setBounds(new Rectangle(109, 255, 89, 32));
    limpar.setFont(new java.awt.Font("Dialog", 1, 12));
    limpar.setText("Limpar");
    lTicketstac.setFont(new java.awt.Font("DialogInput", 3, 12));
    lTicketstac.setHorizontalAlignment(SwingConstants.CENTER);
    lTicketstac.setHorizontalTextPosition(SwingConstants.CENTER);
    lTicketstac.setText("TicketStack");
    lTicketstac.setBounds(new Rectangle(152, 298, 114, 26));
    tfNomeComprador.setBounds(new Rectangle(107, 30, 331, 30));
    this.getContentPane().add(CompradoresPanel, null);
    tipoCompradores.add(jrbEstudante);
    tipoCompradores.add(jrbNormal);
  }

    void limpar() {
    tfNomeComprador.setText("");
    tfFoneComprador.setText("");
    tfIdComprador.setText("");
    taResultados.setText("");
    jrbEstudante.setSelected(true);
    jrbNormal.setSelected(false);
  }

  void limpar_actionPerformed(ActionEvent e) {
    limpar();
  }

  void inserir_actionPerformed(ActionEvent e) {
    String nomeComprador = tfNomeComprador.getText();
    String foneComprador = tfFoneComprador.getText();
    String IdComprador = tfIdComprador.getText();
    Comprador novo;
    try {
      if (jrbEstudante.isSelected())  {
          novo = new CompradorEstudante(nomeComprador, foneComprador, IdComprador);
          fachada.cadastrarComprador(novo);
      }  else {
            if (jrbNormal.isSelected())  {
                novo = new CompradorNormal(nomeComprador, foneComprador, IdComprador);
                fachada.cadastrarComprador(novo);
            }//end if
         }// end if
      limpar();
     }
    catch (Exception ex)  {
    //  JOptionPane.showMessageDialog(this,ex.getMessage());
    }
    }

  void procurar_actionPerformed(ActionEvent e) {
    String id = tfIdComprador.getText().toUpperCase();
  try {
    Comprador comprador = fachada.procurarComprador(id);
    this.limpar();
    tfNomeComprador.setText(comprador.getNomeComprador());
    tfIdComprador.setText(comprador.getIdComprador());
    tfFoneComprador.setText(comprador.getFoneComprador());
    if (comprador.getTarifaComprador() == 0.5) {
        jrbEstudante.setSelected(true);
        jrbNormal.setSelected(false);
    } else  {
        if (comprador.getTarifaComprador() == 1) {
            jrbEstudante.setSelected(false);
            jrbNormal.setSelected(true);
        }// end if
    }//
  }
  catch (CompradorNaoEncontradoException ex) {
      JOptionPane.showMessageDialog(this,ex.getMessage());
  }
  }

  void listar_actionPerformed(ActionEvent e) {
        try {
        limpar();
        compradorIte =  fachada.listarComprador().getIterator();


        while(compradorIte.hasNext()){
            compradorImprime = compradorIte.next();
            if(compradorImprime != null){
            taResultados.append(" " + compradorImprime.getNomeComprador().trim()
            + "\n" );}

            }//while

        } catch (Exception ex) {
        //    JOptionPane.showMessageDialog(this,ex.getMessage());
        }

  }

  void remover_actionPerformed(ActionEvent e) {
    String id = tfIdComprador.getText().toUpperCase();

    try {
      fachada.desCadastrarComprador(id);
      limpar();
    }
    catch (CompradorNaoEncontradoException ex) {
      JOptionPane.showMessageDialog(this,ex.getMessage());
    }
  }

  void CompradoresPanel_mouseClicked(MouseEvent e) {

  }



}