package gui;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.border.*;
import fachada.*;
import ticket.*;
import show.*;
import artista.*;
import comprador.*;
import venda.*;
import java.util.GregorianCalendar;
/**
 * <p>Title: Projeto de  LP3</p>
 * <p>Description: Controle de Shows</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author unascribed
 * @version 1.0
 */

public class TelaPrincipal extends JFrame{


  Icon img = new ImageIcon("music.jpg");///
  JLabel lbFig = new JLabel();//

  JPanel jPanel1 = new JPanel();
  Border border1;
  TitledBorder titledBorder1;
  JButton clientes = new JButton();
  JButton artistas = new JButton();
  JButton shows = new JButton();
  JButton tickets = new JButton();
  JButton vendas = new JButton();
  Fachada fachada;
  JPanel PAINEL = new JPanel();

  public TelaPrincipal( Fachada f) {
    this.fachada = f;
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  private void jbInit() throws Exception {
    lbFig.setBackground(UIManager.getColor("Menu.acceleratorSelectionForeground"));
    lbFig.setHorizontalTextPosition(SwingConstants.LEADING);
    lbFig.setIcon(img);
    lbFig.setBounds(new Rectangle(-3, 0, 267, 259));///
    border1 = BorderFactory.createEmptyBorder();
    titledBorder1 = new TitledBorder(new EtchedBorder(EtchedBorder.RAISED,
    Color.white,new Color(148, 145, 140)),"  Menu Principal  ");
    this.getContentPane().setLayout(null);
    jPanel1.setBackground(SystemColor.activeCaption);
    jPanel1.setForeground(Color.white);
    jPanel1.setBorder(titledBorder1);
    jPanel1.setBounds(new Rectangle(6, 12, 385, 278));
    jPanel1.setLayout(null);
    clientes.setBackground(Color.lightGray);
    clientes.setBounds(new Rectangle(13, 87, 89, 32));
    clientes.setFont(new java.awt.Font("Dialog", 1, 12));
    clientes.setText("Clientes");
    clientes.addActionListener(new TelaPrincipal_clientes_actionAdapter(this));



    artistas.setText("Artistas");
    artistas.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        artistas_actionPerformed(e);
      }
    });
    artistas.setBackground(Color.lightGray);
    artistas.setBounds(new Rectangle(13, 50, 89, 32));
    artistas.setFont(new java.awt.Font("Dialog", 1, 12));
    shows.setText("Shows");
    shows.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        shows_actionPerformed(e);
      }
    });
    shows.setBackground(Color.lightGray);
    shows.setBounds(new Rectangle(13, 126, 89, 32));
    shows.setFont(new java.awt.Font("Dialog", 1, 12));
    tickets.setText("Tickets");
    tickets.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        tickets_actionPerformed(e);
      }
    });
    tickets.setBackground(Color.lightGray);
    tickets.setBounds(new Rectangle(13, 165, 89, 32));
    tickets.setFont(new java.awt.Font("Dialog", 1, 12));
    vendas.setText("Vendas");
    vendas.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        vendas_actionPerformed(e);
      }
    });
    vendas.setBackground(Color.lightGray);
    vendas.setBounds(new Rectangle(13, 203, 89, 32));
    vendas.setFont(new java.awt.Font("Dialog", 1, 12));

    this.setDefaultCloseOperation(3);
    this.setTitle("TicketStac");
    PAINEL.setBounds(new Rectangle(160, 18, 179, 244));
    PAINEL.setLayout(null);
    this.getContentPane().add(jPanel1, null);
    jPanel1.add(artistas, null);
    jPanel1.add(clientes, null);
    jPanel1.add(shows, null);
    jPanel1.add(tickets, null);
    jPanel1.add(vendas, null);
    jPanel1.add(PAINEL, null);
    PAINEL.add(lbFig, BorderLayout.CENTER);
  }

  void artistas_actionPerformed(ActionEvent e) {
    TelaArtistas telaArtistas =  new TelaArtistas(fachada);
    telaArtistas.setSize(408,320);
    telaArtistas.setLocation(300,300);
    telaArtistas.setVisible(true);
    telaArtistas.setResizable(false);
  }

  void vendas_actionPerformed(ActionEvent e) {

    TelaVendas telaVendas =  new TelaVendas(fachada);
    telaVendas.setSize(600,500);
    telaVendas.setLocation(200,200);
    telaVendas.setResizable(false);
    telaVendas.setVisible(true);
  }

  void tickets_actionPerformed(ActionEvent e) {
    TelaTickets telaTickets =  new TelaTickets(fachada);
    telaTickets.setSize(458,380);
    telaTickets.setLocation(300,300);
    telaTickets.setResizable(false);
    telaTickets.setVisible(true);
  }

  void shows_actionPerformed(ActionEvent e) {
    TelaShows telaShows =  new TelaShows(fachada);
    telaShows.setSize(490,360);
    telaShows.setLocation(300,200);
    telaShows.setResizable(false);
    telaShows.setVisible(true);
  }

  void clientes_actionPerformed(ActionEvent e) {
    TelaCompradores telaCompradores =  new TelaCompradores(fachada);
    telaCompradores.setSize(460,358);
    telaCompradores.setLocation(300,200);
    telaCompradores.setResizable(false);
    telaCompradores.setVisible(true);
  }


}

class TelaPrincipal_clientes_actionAdapter implements java.awt.event.ActionListener {
  TelaPrincipal adaptee;

  TelaPrincipal_clientes_actionAdapter(TelaPrincipal adaptee) {
    this.adaptee = adaptee;
  }
  public void actionPerformed(ActionEvent e) {
    adaptee.clientes_actionPerformed(e);
  }
}