package gui;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.border.*;
import fachada.*;
import ticket.*;
import show.*;
import artista.*;
import comprador.*;
import venda.*;
import java.util.GregorianCalendar;

/**
 * <p>Title: Projeto de  LP3</p>
 * <p>Description: Controle de Shows</p>
 * <p>Copyright: Copyright (c)  2002</p>
 * <p>Company: </p>
 * @author unascribed
 * @version 1.0
 */

public class TelaShows extends JFrame {
  Show showImprime;
  IteratorShow showIte;
  Artista artistaImprime;
  IteratorArtista artistaIte;


  Show showEncontrado = new Show();


  int count;

  Fachada fachada;
  Border border1;
  int qCadeira;
  int qMesa;
  int qPe;
  int lCadeira;
  int lMesa;
  int lPe;
  private JPanel showsPanel = new JPanel();
  private TitledBorder titledBorder1;
  private JTextField jTnomeShow = new JTextField();
  private JLabel jLabel1 = new JLabel();
  private JLabel jLabel2 = new JLabel();
  private JComboBox jCartista = new JComboBox();
  private JLabel jLabel3 = new JLabel();
  private JLabel jLabel4 = new JLabel();
  private JTextField jTdata = new JTextField();
  private JTextField jThora = new JTextField();
  private JLabel jLabel5 = new JLabel();
  private JLabel jLabel6 = new JLabel();
  private JLabel jLabel7 = new JLabel();
  private JTextField jTlCadeira = new JTextField();
  private JTextField jTlMesa = new JTextField();
  private JTextField jTlPe = new JTextField();
  private JLabel jLabel8 = new JLabel();
  private JLabel jLabel9 = new JLabel();
  private JLabel jLabel10 = new JLabel();
  private JTextField jTqCadeira = new JTextField();
  private JTextField jTqMesa = new JTextField();
  private JTextField jTqPe = new JTextField();
  private JScrollPane jScrollPane1 = new JScrollPane();
  private JButton inserir = new JButton();
  private JButton listar = new JButton();
  private JButton Remover = new JButton();
  private JButton procurar = new JButton();
  private JButton limpar = new JButton();
  private JLabel jLabel11 = new JLabel();
  private JTextField jTlocal = new JTextField();
  JTextArea jTresposta = new JTextArea();

  public TelaShows(Fachada f) {
    this.fachada = f;
    try {

      jbInit();

    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  private void jbInit() throws Exception {
     border1 = new EtchedBorder(EtchedBorder.RAISED,Color.white,new Color(148, 145, 140));
    titledBorder1 = new TitledBorder(BorderFactory.createEtchedBorder(Color.white,new Color(134, 134, 134)),"Shows");
    this.getContentPane().setLayout(null);
    showsPanel.setBackground(SystemColor.activeCaption);
    showsPanel.setFont(new java.awt.Font("Dialog", 1, 12));
    showsPanel.setBorder(titledBorder1);
    showsPanel.setToolTipText("");
    showsPanel.setBounds(new Rectangle(11, 9, 460, 318));
    showsPanel.setLayout(null);
    this.setForeground(Color.white);
    this.setResizable(false);
    this.setTitle("Shows");
    jTnomeShow.setBounds(new Rectangle(113, 23, 169, 24));
    jLabel1.setFont(new java.awt.Font("Dialog", 1, 12));
    jLabel1.setForeground(Color.white);
    jLabel1.setText("Nome do Show");
    jLabel1.setBounds(new Rectangle(10, 26, 93, 17));
    jLabel2.setFont(new java.awt.Font("Dialog", 1, 12));
    jLabel2.setForeground(Color.white);
    jLabel2.setText("Artista");
    jLabel2.setBounds(new Rectangle(33, 61, 41, 17));
    jCartista.setBorder(BorderFactory.createLineBorder(Color.black));
    jCartista.setOpaque(false);
    jCartista.setBounds(new Rectangle(113, 55, 325, 24));
    jLabel3.setFont(new java.awt.Font("Dialog", 1, 12));
    jLabel3.setForeground(Color.white);
    jLabel3.setText("Data Incio");
    jLabel3.setBounds(new Rectangle(20, 91, 65, 17));
    jLabel4.setBounds(new Rectangle(311, 91, 84, 17));
    jLabel4.setText("Hora");
    jLabel4.setFont(new java.awt.Font("Dialog", 1, 12));
    jLabel4.setForeground(Color.white);
    jTdata.setBounds(new Rectangle(112, 87, 74, 23));
    jThora.setBounds(new Rectangle(356, 88, 81, 24));
    jLabel5.setBounds(new Rectangle(8, 124, 95, 17));
    jLabel5.setText("Lotao Cadeira");
    jLabel5.setFont(new java.awt.Font("Dialog", 1, 12));
    jLabel5.setForeground(Color.white);
    jLabel6.setFont(new java.awt.Font("Dialog", 1, 12));
    jLabel6.setForeground(Color.white);
    jLabel6.setText("Lotao em P");
    jLabel6.setBounds(new Rectangle(296, 123, 95, 17));
    jLabel7.setBounds(new Rectangle(162, 124, 95, 17));
    jLabel7.setText("Lotao Mesa");
    jLabel7.setFont(new java.awt.Font("Dialog", 1, 12));
    jLabel7.setForeground(Color.white);
    jTlCadeira.setText("0");
    jTlCadeira.setBounds(new Rectangle(113, 122, 42, 21));
    jTlMesa.setText("0");
    jTlMesa.setBounds(new Rectangle(247, 123, 40, 21));
    jTlPe.setText("0");
    jTlPe.setBounds(new Rectangle(396, 120, 41, 21));
    jLabel8.setFont(new java.awt.Font("Dialog", 1, 12));
    jLabel8.setForeground(Color.white);
    jLabel8.setText("Qtd. Cadeira");
    jLabel8.setBounds(new Rectangle(15, 154, 88, 17));
    jLabel9.setBounds(new Rectangle(172, 153, 75, 17));
    jLabel9.setText("Qtd. Mesa");
    jLabel9.setFont(new java.awt.Font("Dialog", 1, 12));
    jLabel9.setForeground(Color.white);
    jLabel10.setBounds(new Rectangle(312, 149, 69, 17));
    jLabel10.setText("Qtd. em P");
    jLabel10.setFont(new java.awt.Font("Dialog", 1, 12));
    jLabel10.setForeground(Color.white);
    jTqCadeira.setText("0");
    jTqCadeira.setBounds(new Rectangle(113, 152, 42, 21));
    jTqMesa.setText("0");
    jTqMesa.setBounds(new Rectangle(246, 150, 42, 21));
    jTqPe.setText("0");
    jTqPe.setBounds(new Rectangle(395, 148, 42, 21));
    jScrollPane1.setBounds(new Rectangle(199, 187, 253, 121));
    inserir.setBounds(new Rectangle(14, 189, 90, 27));
    inserir.setText("Inserir");
    inserir.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        inserir_actionPerformed(e);
      }
    });
    listar.setBounds(new Rectangle(110, 189, 84, 27));
    listar.setText("Listar");
    listar.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        listar_actionPerformed(e);
      }
    });
    Remover.setBounds(new Rectangle(12, 235, 91, 27));
    Remover.setText("Remover");
    Remover.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        Remover_actionPerformed(e);
      }
    });
    procurar.setBounds(new Rectangle(109, 233, 86, 28));
    procurar.setText("Procurar");
   // procurar.addActionListener(new ActionListener());
    procurar.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        procurar_actionPerformed(e);
      }
    });
    limpar.setBounds(new Rectangle(109, 283, 84, 24));
    limpar.setText("Limpar");
    limpar.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        limpar_actionPerformed(e);

      }
    });
    jLabel11.setFont(new java.awt.Font("Dialog", 1, 12));
    jLabel11.setForeground(Color.white);
    jLabel11.setText("Local");
    jLabel11.setBounds(new Rectangle(295, 26, 48, 17));
    jTlocal.setBounds(new Rectangle(344, 23, 94, 24));
    this.getContentPane().add(showsPanel, null);
    showsPanel.add(jLabel1, null);
    showsPanel.add(jLabel2, null);
    showsPanel.add(jLabel3, null);
    showsPanel.add(jLabel5, null);
    showsPanel.add(jTdata, null);
    showsPanel.add(jTlCadeira, null);
    showsPanel.add(jCartista, null);
    showsPanel.add(jTnomeShow, null);
    showsPanel.add(jScrollPane1, null);
    jScrollPane1.getViewport().add(jTresposta, null);
    showsPanel.add(jLabel11, null);
    showsPanel.add(jTlocal, null);
    showsPanel.add(jThora, null);
    showsPanel.add(jLabel7, null);
    showsPanel.add(jTlMesa, null);
    showsPanel.add(jTlPe, null);
    showsPanel.add(jLabel6, null);
    showsPanel.add(jTqCadeira, null);
    showsPanel.add(jTqMesa, null);
    showsPanel.add(jLabel10, null);
    showsPanel.add(jTqPe, null);
    showsPanel.add(jLabel8, null);
    showsPanel.add(inserir, null);
    showsPanel.add(limpar, null);
    showsPanel.add(Remover, null);
    showsPanel.add(jLabel9, null);
    showsPanel.add(listar, null);
    showsPanel.add(jLabel4, null);
    showsPanel.add(procurar, null);


    artistaIte =  fachada.listarArtista().getIterator();

         while(artistaIte.hasNext()){
             artistaImprime = artistaIte.next();
             if(artistaImprime != null) {
                 jCartista.addItem(artistaImprime);


            }
         }


  }



/*
   showIte =  fachada.listarShow().getIterator();

         while(showIte.hasNext()){
             showImprime = showIte.next();
             if(showImprime != null) {
                 jCartista.addItem(showImprime.getArtista());


            }
         }


  }
*/
  void listar_actionPerformed(ActionEvent e) {

      showIte =  fachada.listarShow().getIterator();
      jTresposta.setText("");
      while(showIte.hasNext()){
          showImprime=showIte.next();
          if(showImprime != null){
              jTresposta.append(
              "Nome Show: "+showImprime.getNomeShow()+"\n"
              +"Local: "+showImprime.getNomeLocal()+"\n"
              +"Artista: "+showImprime.getArtista().getNomeArtista()+"\n"
              +"Data:"+showImprime.getData()+"\n"
              +"Hora:"+showImprime.getHora()+"\n"
              +"Lotao Cadeira: "+showImprime.getLotacaoCadeira()+"\n"
              +"Lotao Mesa: "+showImprime.getLotacaoMesa()+"\n"
              +"Lotao em P: "+showImprime.getLotacaoEmPe()+"\n"
              +"Quantidade Cadeira: "+showImprime.getNumeroCadeira()+"\n"
              +"Quantidade Mesa: "+showImprime.getNumeroMesa()+"\n"
              +"Quantidade em P: "+showImprime.getNumeroEmPe()+"\n"
              +"\n\n");
          }

      }
  }

  void limpar_actionPerformed(ActionEvent e) {
        limpar();

  }

public void limpar(){
        jTnomeShow.setText("");
        jTlocal.setText("");
        jCartista.setSelectedIndex(0);
        jThora.setText("");
        jTdata.setText("");

        jTlCadeira.setText("0");
        jTlPe.setText("0");
        jTlMesa.setText("0");

        jTqCadeira.setText("0");
        jTqPe.setText("0");
        jTqMesa.setText("0");
        jTresposta.setText("");
    }

  void inserir_actionPerformed(ActionEvent e) {


       Artista artista = (Artista) jCartista.getSelectedItem();

       if(jTqCadeira.getText().trim()==" "){
            qCadeira=0;
      }else{
            qCadeira=Integer.parseInt(jTqCadeira.getText().trim());
      }

       if(jTqMesa.getText().trim()==" "){
            qMesa=0;
      }else{
            qMesa=Integer.parseInt(jTqMesa.getText().trim());
      }

      if(jTqPe.getText().trim()==" "){
            qPe=0;
      }else{
            qPe=Integer.parseInt(jTqPe.getText().trim());
      }

      if(jTlCadeira.getText().trim()==" "){
            lCadeira=0;
      }else{
            lCadeira=Integer.parseInt(jTlCadeira.getText().trim());
      }
      if(jTlCadeira.getText().trim()==" "){
            lMesa=0;
      }else{
            lMesa=Integer.parseInt( jTlMesa.getText().trim());
      }
      if(jTlCadeira.getText().trim()==" "){
            lPe=0;
      }else{
            lPe=Integer.parseInt(jTlPe.getText().trim());
      }

       Show showInsert = new Show(jTnomeShow.getText()
       ,artista
       ,jTdata.getText()
       ,jThora.getText()
       ,qCadeira
       ,qMesa
       ,qPe
       ,jTlocal.getText()
       ,lCadeira
       ,lMesa
       ,lPe
       );

       fachada.cadastrarShow(showInsert);
       limpar();

  }

  void Remover_actionPerformed(ActionEvent e) {
   TelaShowRemove telaShowsRemove =  new TelaShowRemove(fachada);
   telaShowsRemove.setSize(440,185);
   telaShowsRemove.setLocation(300,200);
   telaShowsRemove.setVisible(true);
   telaShowsRemove.setResizable(false);

  }

  void procurar_actionPerformed(ActionEvent e) {
       try {
           // System.out.println("aa\n");
            Show[] retornoShow;
            Artista art;
            String retornoArtista;
            int index,i,indfim;
            retornoShow = new Show[100];

            Show showTeste = new Show(jTnomeShow.getText(),jTdata.getText() ,jTlocal.getText());

            retornoShow = fachada.procurarShow(showTeste);

            jTnomeShow.setText(retornoShow[0].getNomeShow());
            jThora.setText(retornoShow[0].getHora());
            jTlocal.setText(retornoShow[0].getNomeLocal());

            retornoArtista = retornoShow[0].getArtista().getNomeArtista();
            indfim = 0;
            index = jCartista.getItemCount();
            for(i=0;i<index;i++){
                art = (Artista) jCartista.getItemAt(i);
                if(art.getNomeArtista()==retornoArtista){
                    indfim = i;
                }
            //    i++;

            }
            jCartista.setSelectedIndex(indfim);
            jTdata.setText(retornoShow[0].getData());
            jTlCadeira.setText(retornoShow[0].getNumeroCadeira()+"");
            jTlPe.setText(retornoShow[0].getNumeroEmPe()+"");
            jTlMesa.setText(retornoShow[0].getNumeroMesa()+"");

            jTqCadeira.setText(retornoShow[0].getLotacaoCadeira()+"");
            jTqPe.setText(retornoShow[0].getLotacaoEmPe()+"");
            jTqMesa.setText(retornoShow[0].getLotacaoMesa()+"");
            jTresposta.setText("");
       }catch(showNaoEncontradoException ex){
      // System.out.println("a\n");

            JOptionPane.showMessageDialog(this,ex.getMessage());
       }



  }

  void atualizar_actionPerformed(ActionEvent e) {

  }










}