package gui;

import java.util.Vector;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.border.*;
import fachada.*;
import ticket.*;
import show.*;
import artista.*;
import comprador.*;
import venda.*;
import java.util.GregorianCalendar;

public class TelaTickets extends JFrame{
 // DefaultListModel model = new DefaultListModel();
  Show[] opcaoShows = new Show[100];
  int count;

  Fachada fachada;
  JPanel jPanel1 = new JPanel();
  Border border1;
  TitledBorder titledBorder1;
  JTextField jtfNomeTicket = new JTextField();
  JLabel jLabel1 = new JLabel();
  JLabel jLabel2 = new JLabel();
  ButtonGroup buttonGroup1 = new ButtonGroup();
  JRadioButton jrbMesa = new JRadioButton();
  JRadioButton jrbCadeira = new JRadioButton();
  JRadioButton jrbPe = new JRadioButton();
  JLabel jLabel3 = new JLabel();
  JTextField jtfValorTicket = new JTextField();
  JLabel jLabel4 = new JLabel();
  JScrollPane jScrollPane2 = new JScrollPane();
  JTextArea jAreaRetorno = new JTextArea();
  JButton limpar = new JButton();
  JButton jbCadastrar = new JButton();
  JButton jbDescadastrar = new JButton();
  JButton jbListar = new JButton();
  JButton jbProcurar = new JButton();
  JComboBox jCombShow = new JComboBox();

  public TelaTickets( Fachada f ) {
    this.fachada = f;
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  private void jbInit() throws Exception {
    border1 = new EtchedBorder(EtchedBorder.RAISED,Color.white,new Color(148, 145, 140));
    titledBorder1 = new TitledBorder(border1,"  Tickets  ");
    this.setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
    this.getContentPane().setLayout(null);
    jPanel1.setBackground(SystemColor.activeCaption);
    jPanel1.setBorder(titledBorder1);
    jPanel1.setBounds(new Rectangle(9, 9, 436, 342));
    jPanel1.setLayout(null);
    jtfNomeTicket.setFont(new java.awt.Font("Dialog", 1, 16));
    jtfNomeTicket.setBorder(BorderFactory.createLoweredBevelBorder());
    jtfNomeTicket.setBounds(new Rectangle(70, 19, 221, 32));
    jLabel1.setBackground(SystemColor.activeCaption);
    jLabel1.setForeground(Color.white);
    jLabel1.setHorizontalAlignment(SwingConstants.CENTER);
    jLabel1.setText("Nome");
    jLabel1.setBounds(new Rectangle(10, 20, 61, 32));
    jLabel2.setBounds(new Rectangle(283, 35, 61, 32));
    jLabel2.setText("Tipo");
    jLabel2.setForeground(Color.white);
    jLabel2.setHorizontalAlignment(SwingConstants.CENTER);
    jrbMesa.setBackground(Color.white);
    jrbMesa.setText("Mesa");
    jrbMesa.setBounds(new Rectangle(356, 63, 65, 18));
    jrbCadeira.setBounds(new Rectangle(356, 42, 65, 18));
    jrbCadeira.setBackground(Color.white);
    jrbCadeira.setText("Cadeira");
    jrbPe.setBounds(new Rectangle(356, 20, 65, 18));
    jrbPe.setBackground(Color.white);
    jrbPe.setSelected(true);
    jrbPe.setText("P");
    jLabel3.setBounds(new Rectangle(10, 56, 61, 32));
    jLabel3.setText("Valor");
    jLabel3.setForeground(Color.white);
    jLabel3.setHorizontalAlignment(SwingConstants.CENTER);
    jtfValorTicket.setBounds(new Rectangle(70, 58, 222, 32));
    jtfValorTicket.setFont(new java.awt.Font("Dialog", 1, 16));
    jtfValorTicket.setBorder(BorderFactory.createLoweredBevelBorder());
    jLabel4.setForeground(Color.white);
    jLabel4.setHorizontalAlignment(SwingConstants.CENTER);
    jLabel4.setText("Show");
    jLabel4.setBounds(new Rectangle(10, 96, 61, 32));
    jScrollPane2.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_NEVER);
    jScrollPane2.setBorder(BorderFactory.createLoweredBevelBorder());
    jScrollPane2.setBounds(new Rectangle(131, 140, 294, 191));
    limpar.setFont(new java.awt.Font("Dialog", 1, 12));
    limpar.setForeground(Color.white);
    limpar.setBackground(Color.red);
    limpar.setBounds(new Rectangle(8, 306, 119, 29));
    limpar.setText("limpar");
    limpar.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        limpar_actionPerformed(e);
      }
    });
    jbCadastrar.setBounds(new Rectangle(7, 141, 122, 27));
    jbCadastrar.setText("Cadastrar");
    jbCadastrar.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jbCadastrar_actionPerformed(e);
      }
    });
    jbDescadastrar.setText("Descadastrar");
    jbDescadastrar.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jbDescadastrar_actionPerformed(e);
      }
    });
    jbDescadastrar.setBounds(new Rectangle(6, 178, 121, 27));
    jbListar.setBounds(new Rectangle(6, 220, 121, 27));
    jbListar.setText("Listar");
    jbListar.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jbListar_actionPerformed(e);
      }
    });
    jbProcurar.setBounds(new Rectangle(7, 257, 121, 27));
    jbProcurar.setText("Procurar");
    jbProcurar.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jbProcurar_actionPerformed(e);
      }
    });
    jCombShow.setBounds(new Rectangle(70, 102, 354, 26));
    this.getContentPane().add(jPanel1, null);
    jPanel1.add(jLabel1, null);
    jPanel1.add(jtfNomeTicket, null);
    buttonGroup1.add(jrbPe);
    buttonGroup1.add(jrbCadeira);
    buttonGroup1.add(jrbMesa);
    jPanel1.add(jLabel3, null);
    jPanel1.add(jLabel4, null);
    jPanel1.add(jScrollPane2, null);
    jPanel1.add(jtfValorTicket, null);
    jScrollPane2.getViewport().add(jAreaRetorno, null);
    jPanel1.add(jCombShow, null);
    jPanel1.add(jbCadastrar, null);
    jPanel1.add(jbProcurar, null);
    jPanel1.add(limpar, null);
    jPanel1.add(jrbCadeira, null);
    jPanel1.add(jrbPe, null);
    jPanel1.add(jrbMesa, null);
    jPanel1.add(jLabel2, null);
    jPanel1.add(jbListar, null);
    jPanel1.add(jbDescadastrar, null);


        Show showImprime;
        IteratorShow showIte;

        showIte =  fachada.listarShow().getIterator();
       // count=0;
        while(showIte.hasNext()){
              showImprime = showIte.next();
          if(showImprime != null) {
         //   model.addElement( showImprime.getNomeShow());
            jCombShow.addItem( showImprime );
           // opcaoShows[count]=showImprime;
           // count++;
          }
        }

  }

    void limpar() {
    jtfNomeTicket.setText("");
    jtfValorTicket.setText("");
    jAreaRetorno.setText("");
    }

  void limpar_actionPerformed(ActionEvent e) {
    limpar();
  }

  void jbCadastrar_actionPerformed(ActionEvent e) {
    int tipo;
    Show show = ( Show ) jCombShow.getSelectedItem();
    float valor = Float.parseFloat(jtfValorTicket.getText()) ;
    String nome = jtfNomeTicket.getText();

    if (jrbPe.isSelected())tipo = 3;
    else if (jrbMesa.isSelected())tipo = 2;
    else tipo = 1;

    Ticket ticket = new Ticket(nome, tipo, valor, show);
    fachada.cadastrarTicket( ticket );
    limpar();
  }

  void jbDescadastrar_actionPerformed(ActionEvent e) {

    TelaTicketRemove telaTicketRemove =  new TelaTicketRemove(fachada);
    telaTicketRemove.setSize(430,200);
    telaTicketRemove.setLocation(300,300);
    telaTicketRemove.setResizable(false);
    telaTicketRemove.setVisible(true);


   }

  void jbListar_actionPerformed(ActionEvent e) {
        String tipo;
        limpar();
        Ticket ticketImprime;
        IteratorTicket ticketIte;
        ticketIte =  fachada.listarTicket().getIterator();
        while(ticketIte.hasNext()){
            ticketImprime = ticketIte.next();
            if(ticketImprime != null){
              if (ticketImprime.getTipo() == 1) tipo = "cadeira";
              else if (ticketImprime.getTipo() == 2) tipo = "mesa";
              else tipo = "em p";
            jAreaRetorno.append(
               "Nome do Ticket: " + ticketImprime.getNome()
              + "\nTipo do Ticket: " + tipo
              + "\nValor do Ticket: " + ticketImprime.getValorVenda()
              + "\nNome do Show: " + ticketImprime.getShow().getNomeShow()
              + "\n\n"
            );
            }

            }//while

  }
  void jbAtualizar_actionPerformed(ActionEvent e) {

  }

  void jbProcurar_actionPerformed(ActionEvent e) {

  }
}