package venda;

/**
 * Title:        Projeto de  LP3
 * Description:  Controle de Shows
 * Copyright:    Copyright (c) 2002
 * Company:
 * @author
 * @version 1.0
 */

public class CadastroVendas {

    private RepositorioVendas vendas;

    public CadastroVendas (){
        vendas = new RepositorioVendasArray();
    }

    public CadastroVendas( RepositorioVendas repvendas ) {
        vendas = repvendas;
    }

    public void inserir( Venda venda ){

        if (venda.getVendaTicket().getTipo() == 1) {
            if (venda.getVendaTicket().getShow().quantidadeCadeira()
                >= venda.getVendaQtdePedida()) {

                vendas.inserir( venda );
                venda.getVendaTicket().getShow().
                incrementaCadeira(venda.getVendaQtdePedida());
            }

        }

         if (venda.getVendaTicket().getTipo() == 2) {
            if (venda.getVendaTicket().getShow().quantidadeMesa()
                >= venda.getVendaQtdePedida()) {

                vendas.inserir( venda );
                venda.getVendaTicket().getShow().
                incrementaMesa(venda.getVendaQtdePedida());
            }

        }

        if (venda.getVendaTicket().getTipo() == 3) {
            if (venda.getVendaTicket().getShow().quantidadeEmPe()
                >= venda.getVendaQtdePedida()) {

                vendas.inserir( venda );
                venda.getVendaTicket().getShow().
                incrementaEmPe(venda.getVendaQtdePedida());
            }

        }



    }// inserir

    // remover
    public void remover ( Venda venda ){
        if (vendas.existe( venda )){
            vendas.remover( venda );
        }

    } // remover

    //listar
    public RepositorioVendas listar(){

        RepositorioVendas retorno = new RepositorioVendasArray();

        IteratorVenda vendaIte = vendas.getIterator();
        while(vendaIte.hasNext()){
              retorno.inserir(vendaIte.next());
        }
        return retorno;
    }//listar



}