package venda;

import java.lang.String;
import ticket.Ticket;
import comprador.Comprador;
import ticket.Ticket;
import show.Show;

/**
 * <p>Title: Projeto de  LP3</p>
 * <p>Description: Controle de Shows</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author unascribed
 * @version 1.0
 */

public interface RepositorioVendas {

  public void inserir ( Ticket ticket, int qtdePedida, Comprador comprador);
  public void inserir ( Venda a );
  public int getIndice();
  public boolean existe( Venda a );
  public boolean existe( Ticket ticket, int qtdePedida, Comprador comprador);
  public Venda[] procurarShowCadeira ( Show show);
  public Venda[] procurarShowMesa ( Show show);
  public Venda[] procurarShowPe ( Show show);
  public Venda[] listarVendas ();
  public Venda[] listarVendasComprador ( Comprador comprador);
  public int cadeirasVendidas( Show show);
  public int mesasVendidas( Show show);
  public int peVendidas( Show show);
  public int qtdeVendida( Show show);
  public float lucroVenda( Show show);
  public void remover ( Venda venda );
  public IteratorVenda getIterator();

}//RepositorioVendas