package venda;

import ticket.Ticket;
import ticket.RepositorioTicketsLista;
import ticket.CadastroTickets;
import comprador.Comprador;
import comprador.RepositorioCompradoresArray;
import comprador.CadastroComprador;

public class Venda {


       private Ticket ticket;
       private int qtdePedida;
       private Comprador comprador;




  public Venda() {
  }// construtor vazio

  public Venda ( Venda a ){
         this.ticket = a.ticket;
         this.qtdePedida = a.qtdePedida;
         this.comprador = a.comprador;
  }

  public Venda( Ticket ticket, int qtdePedida, Comprador comprador) {
         this.ticket = ticket;
         this.qtdePedida = qtdePedida;
         this.comprador = comprador;

  }// constutor Venda


  public Ticket getVendaTicket() {
    return ticket;
  }

  public int getVendaQtdePedida() {
    return qtdePedida;
  }

  public Comprador getVendaComprador() {
    return comprador;
  }

  public void setVendaTicket( Ticket ticket ){
    this.ticket = ticket;
    }

  public void setVendaQtdePedida( int qtdePedida){
    this.qtdePedida  = qtdePedida;
    }

  public void setVendaComprador(Comprador comprador){
    this.comprador = comprador;
    }

  public boolean match( Venda venda){
    boolean retorno = false;
    if( this.ticket.equals(venda.getVendaTicket()) &&
        this.comprador.equals(venda.getVendaComprador()) ){
        retorno = true;
      }//if
      return retorno;
    } // match

   public boolean match( Ticket ticket, int qtdePedida, Comprador comprador){
    boolean retorno = false;
    if( this.ticket.equals(ticket) &&
        this.comprador.equals(comprador) ){
        retorno = true;
      }//if
      return retorno;
    } // match

    public boolean equals( Venda venda){
        boolean retorno = false;
        if( this.ticket.equals(venda.getVendaTicket()) &&
            this.comprador.equals(venda.getVendaComprador())
            && this.qtdePedida == venda.getVendaQtdePedida())
            {
            retorno = true;
          }//if
          return retorno;
        } // match



}// classe Venda
